B-trust
#11
Ok, явно ще трябва да пробвам да направя RPM за нашето дистро, понеже за OpenSUSE са различни имената на някои пакети зависимости.
Ще потърся за сорс от SUSE и ще пробвам да го оправя, но не обещавам нищо, ако намеря всичко нужно, ще ти кажа да го пробваш от нашето тестово хранилище.

edit: Може ли да ме улесниш ? От къде свали тези RPM-пакети за SUSE? Трябва ми да знам точния линк, ако може да видя за сорс .
* StotinkaOS SOS хранилища .
* (NEW) Fedora COPR хранилища .

Не отговарям на технически въпроси на ЛС.
Отговори
#12
От тука се тегли - https://www.b-trust.org/bg/elektronni-po...nstalirane
Отговори
#13
(06-01-2016, 17:20)iliyan71 написа: С инсталиране на пакети ми даде това


Пробвах в терминала с тази команда:
"rpm -i scInterface-6.0.15.324-OpenSUSE13-x64.rpm"
error: Failed dependencies:
libpcsclite1 is needed by scInterface-6.0.15-324.i586
libstdc++.so.6(GLIBCXX_3.4.14)(64bit) is needed by scInterface-6.0.15-324.i586
libusb-1_0-0 is needed by scInterface-6.0.15-324.i586
pcsc-ccid is needed by scInterface-6.0.15-324.i586
някъде бъркам.

Сега проверих малко по добре, няма да може да се подкара, тъй като изисква по нова версия на GCC .

Това връщат бинарните файлове които се намират във архивите които сподели.

Когато се опитам да ги стартирам.
Код:
[ivo@sos bin]$ pwd
/home/ivo/Свалени/openSUSE/x64/scInterface-6.0.15.324-OpenSUSE13-x64/usr/local/bin
[ivo@sos bin]$ ./SmartcardUtility                            
./SmartcardUtility: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.14' not found (required by ./SmartcardUtility)
[ivo@sos bin]$ ./scManager
./scManager: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.14' not found (required by ./scManager)


Сега се загледах, че rpm при тебе е върнал същото когато си пробвал.

libstdc++.so.6(GLIBCXX_3.4.14)(64bit) is needed by scInterface-6.0.15-324.i586

Единственото решение, е по нова версия на пакета gcc от тази която имаме ние.

Код:
[ivo@sos ~]$ strings /usr/lib/libstdc++.so.6 | grep GLIBCXX
GLIBCXX_3.4
GLIBCXX_3.4.1
GLIBCXX_3.4.2
GLIBCXX_3.4.3
GLIBCXX_3.4.4
GLIBCXX_3.4.5
GLIBCXX_3.4.6
GLIBCXX_3.4.7
GLIBCXX_3.4.8
GLIBCXX_3.4.9
GLIBCXX_3.4.10
GLIBCXX_3.4.11
GLIBCXX_3.4.12
GLIBCXX_3.4.13
GLIBCXX_FORCE_NEW
GLIBCXX_DEBUG_MESSAGE_LENGTH
* StotinkaOS SOS хранилища .
* (NEW) Fedora COPR хранилища .

Не отговарям на технически въпроси на ЛС.
Отговори
#14
А в virtualbox да ли ще тръгне или остава за момента да инсталирам някакъв win

Sent from my LG-D320 using Tapatalk
Отговори
#15
Ето няколко варианта.

1. VirtualBox - OpenSUSE
2. VirtualBox - Ubuntu
3. VirtualBox - Windows
4. Да инсталираш по нова версия на gcc и да инсталираш още няколко пакета..

Аз бих избрал някой от първите три варианта . Така няма да повредя нищо по системата.
* StotinkaOS SOS хранилища .
* (NEW) Fedora COPR хранилища .

Не отговарям на технически въпроси на ЛС.
Отговори
#16
Мерси утре ще пробвам и ще пиша

Sent from my LG-D320 using Tapatalk
Отговори
#17
Инсталирах Ubuntu, инсталирах винХП, инсталирах добавки към VirtualBox за УСБ 2 и 3 контролери"VirtualBox 5.0.12 Oracle VM VirtualBox Extension Pack" не иска да ми разпознае подписа пробвах и с 2 флашки Vbox казва че няма свързани УСБ устройства.
Отговори
#18
Можем да пробваме един трик, имаш ли google chrome инсталирано на Стотинка?

Ако не, инсталирай го.

След което свали онзи архив който сподели и го разархивирай някъде, после отвори терминал и изпълни.

Код:
export LD_LIBRARY_PATH=/opt/google/chrome/lib/
# Отиди до директорията openSUSE/x64/scInterface-6.0.15.324-OpenSUSE13-x64/usr/local/bin
cd openSUSE/x64/scInterface-6.0.15.324-OpenSUSE13-x64/usr/local/bin
# Стартирай някое от приложението

# пример 1
./scManager
# пример 2
./SmartcardUtility

Ако по някаква причина ти даде пак грешка

/usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.14' not found

Изпълни от терминала който пробваш да стартираш програмата пак тази команда.

Код:
export LD_LIBRARY_PATH=/opt/google/chrome/lib/

Кажи дали върши работа всичко това? Ако работи ще измислим някакси да се стартират по лесно тези две програми, стига това да ти трябва.
* StotinkaOS SOS хранилища .
* (NEW) Fedora COPR хранилища .

Не отговарям на технически въпроси на ЛС.
Отговори
#19
По описания начин и двете програми работят, но те са за промяна на пин кода и други подобни неща по самия токен(ел.подпис). В Firefox-са не иска да тръгне пак дава грешки за удостоверителните вериги.
[attachment=116]

[attachment=117]

[attachment=118]
Отговори
#20
Виж какво пише, иска администраторски права, което само по себе си е безумно. Може да пробваш да го стартираш така
Код:
sudo firefox
но за мен това е абсолютно недопустимо.
Отговори




Потребители разглеждащи темата: 1 гост(и)